# Aprovar Verificação Biométrica Pendente

Para aprovar uma biometria por API, utilize a seguinte *mutation*:

```graphql
mutation{
  approveBiometric(
    verification_id: ID_DA_VERIFICAÇÃO,
    public_id:  "ID_DA_ASSINATURA"
  ){
    public_id
    name
    email
    delivery_method
    user{
      id
      name
      email
      phone
    }
    verifications{
      id
      type
      verify_phone
      payload {
        url
        reference
      }
      user {
        images
        confidence
      }
      verified_at
      max_attempt
      logs_attempt
    }
  }
}
```

#### Parâmetros

* `verification_id`: ID da verificação adicional a ser aprovada.
* `public_id`: ID da assinatura que possui a verificação.

#### Resposta esperada

```json
{
  "data": {
    "approveBiometric": {
      "public_id": "1d7cb86fat3st3efb5go0o0l0a2b610a",
      "name": null,
      "email": "mateus@autentique.com.br",
      "delivery_method": "DELIVERY_METHOD_EMAIL",
      "user": {
        "id": "3ac41a793ed3sseIDn403xist3deV3rdad333e7fe03",
        "name": "Mateus Razzia Zanella",
        "email": "mateus@autentique.com.br",
        "phone": null
      },
      "verifications": [
        {
          "id": 430555,
          "type": "MANUAL",
          "verify_phone": null,
          "payload": null,
          "user": {
            "images": {
              "front": "https://storage.googleapis.com/biometric-auth/teste/exemplo.jpg",
              "selfie": "https://storage.googleapis.com/biometric-auth/teste/exemplo.jpg"
            },
            "confidence": null
          },
          "verified_at": null,
          "max_attempt": 3,
          "logs_attempt": null
        }
      ]
    }
  }
}
```

{% hint style="info" %}
Se o Altair não te ajuda para integrar com a API, confira alguns exemplos de como fazer essas requisições de outra forma: <https://graphql.org/graphql-js/graphql-clients/>
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autentique.com.br/api/2/mutations/aprovar-verificacao-biometrica-pendente.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
